Bug 221665 - (pear-Numbers-Roman) Review Request: php-pear-Numbers-Roman - Provides methods for converting to and from Roman Numerals
Review Request: php-pear-Numbers-Roman - Provides methods for converting to a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brandon Holbrook
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-05 17:31 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-14 03:08:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-01-05 17:31:03 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Numbers-Roman.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Numbers-Roman-1.0.1-1.src.rpm

Description:
Numbers_Roman provides static methods for converting to and from Roman
numerals. It supports Roman numerals in both uppercase and lowercase
styles and conversion for and to numbers up to 5 999 999.
Comment 1 Brandon Holbrook 2007-01-13 23:55:25 EST
REVIEW:
=======
OK - package meets naming and packaging guidelines.
OK - specfile is properly named, is cleanly written and uses macros consistently.
OK - dist tag is present.
OK - build root is correct.
OK - license field matches the actual license.
OK - license is open source-compatible.
ok - source files match upstream:
5103711a2e29d48a5ccda8ba1a11c893  Numbers_Roman-1.0.1.tgz
5103711a2e29d48a5ccda8ba1a11c893  Numbers_Roman-1.0.1.tgz
OK - latest version is being packaged.
OK - BuildRequires are proper.
OK - package builds in mock
OK - rpmlint is silent.
OK - final provides and requires are sane:
OK - no shared libraries are present.
OK - package is not relocatable.
OK - owns the directories it creates.
OK - doesn't own any directories it shouldn't.
OK - no duplicates in %files.
OK - file permissions are appropriate.
OK - %clean is present.
OK - %check is not present, no tests included by upstream
OK - pear scriptlets are standard
OK - code, not content.
OK - documentation is small, so no -docs subpackage is necessary.
OK - no headers.
OK - no pkgconfig files.
OK - no libtool .la droppings.
OK - not a GUI app.

Cut-and-dry pear package.  APPROVED.
Comment 2 Christopher Stone 2007-01-14 03:08:25 EST
- imported in cvs
- added entry to owners.list
- tagged and built for devel
- requested cvs sync for FC5/6

THANKS FOR THE REVIEW!
Comment 3 Christopher Stone 2007-04-29 21:27:20 EDT
Package Change Request
======================
Package Name: php-pear-Numbers-Roman
New Branches: EL-5


Note You need to log in before you can comment on or make changes to this bug.